/*
 * util.c
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * Copyright (c) 1993 AmiTCP/IP Group, <amitcp-group@hut.fi>
 *		      All rights reserved
 *
 * Created: Fri Oct 15 17:52:22 1993 too
 * Last modified: Sat Oct 16 16:59:40 1993 too
 *
 * HISTORY
 * $Log: util.c,v $
 * Revision 1.1  1993/10/24  13:01:32  too
 * Initial revision
 *
 */

#include <exec/types.h>
#include <exec/ports.h>

#include "util.h"

void initMsgPort(struct MsgPort * port, UBYTE sig, struct Task * task)
{
  port->mp_Node.ln_Name = NULL;
  port->mp_Node.ln_Pri = 0;
  port->mp_Node.ln_Type = NT_MSGPORT;

  port->mp_Flags = PA_SIGNAL;
  port->mp_SigBit = sig;
  port->mp_SigTask = task;

  NewList(&(port->mp_MsgList));
}
