/*
 * applport.c
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * 	Copyright (c) 1993 Tomi Ollila
 * 	    All rights reserved
 *
 * Created: Fri Nov  5 19:37:40 1993 too
 * Last modified: Sun Nov 14 20:18:46 1993 too
 *
 * HISTORY
 * $Log: applport.c,v $
 * Revision 1.1  1993/11/17  11:47:44  too
 * Initial revision
 *
 */

#include <exec/types.h>
#include <exec/ports.h>
#include <exec/interrupts.h>

#include "global.h"

#include "applport.h"
#include "interrupt.h"

void initApplMsgPort(struct ApplMsgPort * aport)
{
  aport->amp_Msgport.mp_Node.ln_Type = NT_MSGPORT;
  aport->amp_Msgport.mp_Flags = PA_SOFTINT;
  aport->amp_Msgport.mp_SigTask = (struct Task *)&aport->amp_Interrupt;

  aport->amp_Interrupt.is_Code = intCode;
  aport->amp_Interrupt.is_Data = aport;
  aport->amp_Interrupt.is_Node.ln_Pri = -32;
  
  NewList(&aport->amp_Msgport.mp_MsgList);
}
