/*
 * util.h
 *
 * Author: Tomi Ollila <too@cs.hut.fi>
 *
 * Copyright (c) 1993 AmiTCP/IP Group, <amitcp-group@hut.fi>
 *		      All rights reserved
 *
 * Created: Fri Oct 15 17:54:05 1993 too
 * Last modified: Sat Oct 16 17:00:06 1993 too
 *
 * HISTORY
 * $Log: util.h,v $
 * Revision 1.1  1993/10/24  13:01:32  too
 * Initial revision
 *
 */

#ifndef _UTIL_H_
#define _UTIL_H_

static inline void
NewList(struct List * list)
{
  list->lh_Head = (struct Node *)&list->lh_Tail;
  list->lh_Tail = 0;
  list->lh_TailPred = (struct Node *)&list->lh_Head;
}

void initMsgPort(struct MsgPort * port, UBYTE sig, struct Task * task);

#endif _UTIL_H_
